Check Source Code Verification Status
curl --request GET \
--url 'https://api.etherscan.io/v2/api?apikey='import requests
url = "https://api.etherscan.io/v2/api?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": "Pass - Verified"
}
Contract Verification
Check Source Code Verification Status
Check the status of a source code verification request.
GET
/
v2
/
api
Check Source Code Verification Status
{
"status": "1",
"message": "OK",
"result": "Pass - Verified"
}
Authorizations
Enter your Etherscan API key, or set one up if you don't have one.
Query Parameters
Chain ID to query, eg 1 for Ethereum, 42161 for Arbitrum from our supported chains.
Set to contract for this endpoint.
Set to checkverifystatus for this endpoint.
The GUID received from the source code verification request.
Response
200 - application/json
Successful response
1 if the request returned data, 0 otherwise. A status of 0 can indicate an error or a valid request that returned no records.
OK on success, otherwise an error description such as NOTOK. See common error messages.
Status of the source-code verification submission.